module NetzplanMicroFrontend
  module Rails
    class Routes
      module Helper
        def use_netzplan_microfrontend(options = {}, &block)
          get '/micro_frontend/debug' => 'netzplan_micro_frontend/debug#index', :as => :micro_frontend_debug
          get '/micro_frontend/sources' => 'netzplan_micro_frontend/sources#index', :as => :micro_frontend_sources
        end
      end

      def self.install!
        ActionDispatch::Routing::Mapper.send :include, NetzplanMicroFrontend::Rails::Routes::Helper
      end
    end
  end
end
