module NetzplanMicroFrontend
  module Generators
    class InstallUserRightsGenerator < ::Rails::Generators::Base
      def routes
        route "use_netzplan_microfrontend"
      end

      def public_micro_frontend_sources
        inject_into_file 'app/models/ability.rb', after: "def initialize(user)\n" do
<<-'RUBY'
    can :read, :micro_frontend_sources
    can :manage, :micro_frontend

RUBY
        end
      end
    end
  end
end
